data:extend(
{

	-- items
	{ type = "item", name = "yice_l1", icon = "__YICE__/graphics/entity/lamp1_icon.png", flags = {"goes-to-quickbar"}, group = "yice", place_result = "yice_l1", stack_size = 50, default_request_amount = 10, order = "la",},
	{ type = "item", name = "yice_l2", icon = "__YICE__/graphics/entity/lamp2_icon.png", flags = {"goes-to-quickbar"}, group = "yice", place_result = "yice_l2", stack_size = 50, default_request_amount = 10, order = "lb",},
	{ type = "item", name = "yice_l3", icon = "__YICE__/graphics/entity/lamp3_icon.png", flags = {"goes-to-quickbar"}, group = "yice", place_result = "yice_l3", stack_size = 50, default_request_amount = 10, order = "lc",},
	{ type = "item", name = "yice_l4", icon = "__YICE__/graphics/entity/lamp4_icon.png", flags = {"goes-to-quickbar"}, group = "yice", place_result = "yice_l4", stack_size = 50, default_request_amount = 10, order = "ld",},
	
	-- recipe
	{ type = "recipe",name = "yice_l1_recipe", enabled = true, ingredients = {{"coal", 1},},		group = "yice", result = "yice_l1",order = "la",},
	{ type = "recipe",name = "yice_l2_recipe", enabled = true, ingredients = {{"raw-wood", 1},},	group = "yice", result = "yice_l2",order = "lb",},
	{ type = "recipe",name = "yice_l3_recipe", enabled = true, ingredients = {{"iron-plate", 1},},	group = "yice", result = "yice_l3",order = "lc",},
	{ type = "recipe",name = "yice_l4_recipe", enabled = true, ingredients = {{"raw-wood", 4},},	group = "yice", result = "yice_l4",order = "ld",},	
			
	-- entity
	{
		type = "lamp",
		name = "yice_l1",
		icon = "__YICE__/graphics/entity/lamp1_icon.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "yice_l1"},
		max_health = 50,
		corpse = "small-remnants",
		collision_box = {{-0.1, -0.1}, {0.1, 0.1}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		energy_source =
		{
			type = "electric",
			usage_priority = "secondary-input"
		},
		energy_usage_per_tick = "1KW",
		light = {intensity = 0.8, size = 15},
		picture_off =
		{
			filename = "__YICE__/graphics/entity/lamps/power_lamp_off.png",
			priority = "high",
			width = 32,
			height = 48,
			shift = {0, -0.3}
		},
		picture_on =
		{
			filename = "__YICE__/graphics/entity/lamps/power_lamp_on.png",
			priority = "high",
			width = 32,
			height = 48,			
			shift = {0, -0.3}
		},
		circuit_wire_max_distance = 9.5
	},

	{
		type = "lamp",
		name = "yice_l2",
		icon = "__YICE__/graphics/entity/lamp2_icon.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "yice_l2"},
		max_health = 50,
		corpse = "small-remnants",
		collision_box = {{-0.1, -0.1}, {0.1, 0.1}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		energy_source =
		{
			type = "electric",
			usage_priority = "secondary-input"
		},
		energy_usage_per_tick = "1KW",
		light = {intensity = 0.8, size = 20},
		picture_off =
		{
			filename = "__YICE__/graphics/entity/lamps/hl2_off.png",
			priority = "high",
			width = 48,
			height = 64,
			shift = {0, -0.5}
		},
		picture_on =
		{
			filename = "__YICE__/graphics/entity/lamps/hl2_on.png",
			priority = "high",
			width = 48,
			height = 64,			
			shift = {0, -0.5}
		},
		circuit_wire_max_distance = 10,
	},
	{
		type = "lamp",
		name = "yice_l3",
		icon = "__YICE__/graphics/entity/lamp3_icon.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "yice_l3"},
		max_health = 50,
		corpse = "small-remnants",
		collision_box = {{-0.1, -0.1}, {0.1, 0.1}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		energy_source =
		{
			type = "electric",
			usage_priority = "secondary-input"
		},
		energy_usage_per_tick = "1KW",
		light = {intensity = 0.9, size = 10, },
		tint = {r=1.0, g=0.5, b=1.0, a=0.8},
		picture_off =
		{
			filename = "__YICE__/graphics/entity/lamps/al2_off.png",
			priority = "high",
			width = 32,
			height = 64,
			shift = {0, -0.5}
		},
		picture_on =
		{
			filename = "__YICE__/graphics/entity/lamps/al2_on.png",
			priority = "high",
			width = 32,
			height = 64,			
			shift = {0, -0.5}
		},
		circuit_wire_max_distance = 10,
	},
	
	{
		type = "lamp",
		name = "yice_l4",
		icon = "__YICE__/graphics/entity/lamp4_icon.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {hardness = 0.5, mining_time = 1.0, result = "yice_l4"},
		max_health = 500,
		corpse = "big-remnants",
		collision_box = {{-2.2, -2.2}, {2.2, 2.2}},
		selection_box = {{-2.5, -2.5}, {2.5, 2.5}},		
		energy_source = {type = "electric", input_priority = "secondary", usage_priority = "secondary-input", emissions = 0.5, },
		energy_usage_per_tick = "1KW",		
		light = {intensity = 1.0, size = 30},
		picture_off =
		{
			filename = "__YICE__/graphics/entity/lamps/monument-off.png",
			priority = "high",
			width = 256,
			height = 256,
			shift = {1, -1.5},
		},
		picture_on =
		{
			filename = "__YICE__/graphics/entity/lamps/monument-on.png",
			priority = "high",
			width = 256,
			height = 256,			
			shift = {1, -1.5},
		},
		circuit_wire_max_distance = 9.5		
	},	
})